- Qt 5.15
- Qt Data Visualization
- C++ Classes
- QCategory3DAxis
- Qt Data Visualization | Commercial or GPLv3

# QCategory3DAxis Class

The QCategory3DAxis class manipulates an axis of a graph. More...

Header: | #include <QCategory3DAxis>
qmake: | QT += datavisualization
Since: | QtDataVisualization 1.0
Instantiated By: | CategoryAxis3D
Inherits: | QAbstract3DAxis

This class was introduced in QtDataVisualization 1.0.

- List of all members, including inherited members

## Properties

- labels : QStringList

## Public Functions

| QCategory3DAxis(QObject *parent = nullptr)
virtual | ~QCategory3DAxis()
QStringList | labels() const
void | setLabels(const QStringList &labels)

## Signals

void | labelsChanged()

## Detailed Description

QCategory3DAxis provides an axis that can be given labels. The axis is divided into equal-sized categories based on the data window size defined by setting the axis range.

Grid lines are drawn between categories, if visible. Labels are drawn to positions of categories if provided.

## Property Documentation

### labels : QStringList

This property holds the labels for the axis applied to categories.

If there are fewer labels than categories, the remaining ones do not have a label. If category labels are not defined explicitly, labels are generated from the data row (or column) labels of the primary series of the graph.

Access functions:

QStringList | labels() const
void | setLabels(const QStringList &labels)

Notifier signal:

void | labelsChanged()

## Member Function Documentation

### QCategory3DAxis::QCategory3DAxis(QObject *parent = nullptr)

Constructs a category 3D axis with the parent parent.

### `[virtual]` QCategory3DAxis::~QCategory3DAxis()

Destroys the category 3D axis.